-- Copied this stuff from creative mode mod

-- Makes and returns a graphical set according to the given properties.
local function extract_monolith(file_name, x, y, width, height)
	return
	{
		type = "monolith",
		top_monolith_border = 0,
		right_monolith_border = 0,
		bottom_monolith_border = 0,
		left_monolith_border = 0,
		monolith_image =
		{
			filename = "__CircuitLoggerFix__/graphics/" .. file_name,
			priority = "extra-high-no-scale",
			width = width,
			height = height,
			x = x,
			y = y
		},
	}
end

local default_style = data.raw["gui-style"].default
local big_button_width_height = 36
-- The main menu open button style.
default_style["circuit_logger_main_menu_open_button_style"] =
{
	type = "button_style",
	parent = "button",
	scalable = false,
	top_padding = 0,
	right_padding = 0,
	bottom_padding = 0,
	left_padding = 0,
	width = big_button_width_height,
	height = big_button_width_height,
	left_click_sound =
	{
		{
			filename = "__core__/sound/gui-click.ogg",
			volume = 1
		}
	},
	default_graphical_set = extract_monolith("gui.png", big_button_width_height * 0, big_button_width_height * 0, big_button_width_height, big_button_width_height),
	hovered_graphical_set = extract_monolith("gui.png", big_button_width_height * 1, big_button_width_height * 0, big_button_width_height, big_button_width_height),
	clicked_graphical_set = extract_monolith("gui.png", big_button_width_height * 2, big_button_width_height * 0, big_button_width_height, big_button_width_height),
	disabled_graphical_set = extract_monolith("gui.png", big_button_width_height * 3, big_button_width_height * 0, big_button_width_height, big_button_width_height),
}
